const view = document.createElement("template");
view.innerHTML = `
<style>

    :host([hidden]) {
      display: none;
    }

		:host {
	    --ui-survey-matrix-background-color: transparent;
		}

    .container {
      background-color:#FFF;
      font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"
    }

    #topContainer{
      -webkit-position:sticky;
      position:sticky;
      background-color:#FFF;
      z-index:10;
      top:-2em;
    }

    .question {
      padding:20px;
      min-height:200px;
    }

    .question-text {
      display:flex;
      flex-direction:column;
      justify-content:center;
      font-size:1.2em;
      line-height:1.2em;
    }

    .question:nth-child(even) {
      background: #F5F5F5
    }

    .radio-container {
      display:flex;
      flex-direction: column;
      justify-content: center;
      cursor: pointer;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      border-radius:2em;
    }

    .radio-container:hover {
      background: #FFF
    }

    .radio-container:hover {
      background: #FFF
    }

    .question:nth-child(odd) .radio-container:hover {
      background:#F5F5F5;
    }

    /* Hide the browser's default radio button */
    .radio-container input {
      display:flex;
      align-content:center;
      opacity: 0;
    }

    /* Create a custom radio button */
    .checkmark {
      position: absolute;
      text-align:center;
      left:calc(50% - 12px);
      height: 25px;
      width: 25px;
      background-color: #ccc;
      border-radius: 50%;
    }

    /* On mouse-over, add a grey background color */
    .radio-container:hover input ~ .checkmark {
      background-color: #ccc;
    }

    /* When the radio button is checked, add a blue background */
    .radio-container input:checked ~ .checkmark {
      background-color: #2196F3;
    }

    /* Create the indicator (the dot/circle - hidden when not checked) */
    .checkmark:after {
      content: "";
      position: absolute;
      display: none;
    }

    /* Show the indicator (dot/circle) when checked */
    .radio-container input:checked ~ .checkmark:after {
      display: block;
    }

    /* Style the indicator (dot/circle) */
    .radio-container .checkmark:after {
      top: 9px;
      left: 9px;
      width: 8px;
      height: 8px;
      border-radius: 50%;
      background: white;
    }

    .error-message {
      color: #dc3545;
      width: 100%;
      text-align:center;
      margin: 1em;
      font-size:1.2em;
      line-height:1.2em;
    }
</style>


<link rel="stylesheet" type="text/css" href="/vendors/bootstrap/dist/css/bootstrap.css">

<div class="container col-md-12 p-0">
  <div id="topContainer" class="pt-2">
    <div id="errorMessage" class="error-message"></div>
    <h4 id="instructions" class="m-5"></h4>
    <div class="col-md-12 p-0" style="border-bottom:1px solid gray;">
      <div id="headersContainer" class="row col-9 offset-3 mt-5 pb-4"></div>
    </div>
  </div>

  <div id="questionsContainer"></div>
</div>
`;

export default view;

